std::auto_ptr_ref(3)

NAME
std::auto_ptr_ref -

SYNOPSIS

Detailed Description

  template<typename _Tp1> struct std::auto_ptr_ref< _Tp1 >
A wrapper class to provide auto_ptr with reference semantics. For example, an auto_ptr can be assigned (or constructed from) the result of a function which returns an auto_ptr by value.

All the auto_ptr_ref stuff should happen behind the scenes.

Definition at line 134 of file memory.

  Public Member Functions
auto_ptr_ref (_Tp1 *__p)

  Public Attributes
_Tp1 * _M_ptr

Author

Generated automatically by Doxygen for libstdc++ from the source code.